=== debian/changelog ===
telephony-app (0.64) precise; urgency=low

  * Force UI update while adding events from logger to the model.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 23 May 2013 15:22:09 -0300

telephony-app (0.63) precise; urgency=low

  * Force UI update to avoid unresponsiveness during app launch. (LP: #1164162)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 10 May 2013 14:12:22 -0300

telephony-app (0.62) precise; urgency=low

  * Create a new contact when clicking on unknown contacts. (LP: #1103257)
  * Remove "add to conference" button from live call view (LP: #1108131)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 05 Apr 2013 11:10:36 -0300

telephony-app (0.61) precise; urgency=low

  * Add support for custom types

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 13 Mar 2013 18:39:23 -0300

telephony-app (0.60) precise; urgency=low

  * Fix non-ASCII character SMS message display. (LP: #1045647)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 11 Mar 2013 10:53:38 +0800

telephony-app (0.59) precise; urgency=low

  * Fix broken test

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 15 Jan 2013 16:45:35 -0800

telephony-app (0.58) precise; urgency=low

  * Do not add empty address fields. (LP: #1030137)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 15 Jan 2013 18:52:31 -0200

telephony-app (0.57) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * Do not call requestClose() after hanging up a call.
  * Validate the phone number before sending the message. (LP: #1029619)
  * Change contactId to phoneNumber, as the variable name
    "contactId" is used in another context.
  * Try to find the customId in the current contact list before
    asking android for it. (LP: #1030124)
  * Enable speaker mode if the call was answered from ubuntu,
    or if it was started from telephony-app. (LP: #1022752)
  * Use callState() only after the feature is complete.
  * Show "Unknown number" and "Private number" instead of "#" and "-2" (LP: #1031949)

  [ Gustavo Pichorim Boiko ]
  * Filter out entities not used to fetch messages or call log. This should
    reduce the amount of data processed to get the events.
  * Do not use the emit, signals and slots keywords.
  * Make sure the call log is not shown (not even briefly) when adding new contacts.
    (LP: #1019040)
  * Make the comparePhoneNumbers function static.
  * Search all messages instead of searching just the latest ones. (LP: #1015394)
  * Add the message id to all messages and check for duplicates that might arrive
    from both telepathy and logger. (LP: #1031905)
  * Add unit tests to check ContactModel functionality.
  * Check if another instance of the telephony-app is running using DBus instead
    of using qtsingleapplication.

  [ Renato Araujo Oliveira Filho ]
  * Created new dbus method "CallNumber(s)"

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 04 Dec 2012 10:56:52 -0800

telephony-app (0.56) precise; urgency=low

  [ Olivier Tilloy ]
  * Work around the fact that the scrollbar proximity sensor eats
    mouse clicks. (LP: #1030136)

  [ Gustavo Pichorim Boiko ]
  * Add the correct icon for the phone/voicemail indicator. (LP: #1029708)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 01 Aug 2012 10:45:10 -0300

telephony-app (0.55) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * reset the proxy model when logger is fully loaded (LP: #1028166)

  [ Gustavo Pichorim Boiko ]
  * Make sure the telephony-app uses the correct timestamp for received messages.
    (LP: #1031472)
  * Use the comparePhoneNumbers() in chatmanager to check for existing text
    channels. (LP: #1030116)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Tue, 31 Jul 2012 17:33:14 -0300

telephony-app (0.54) precise; urgency=low

  [ Florian Boucault ]
  * Fixed out of source building of unit tests. (LP: #1029997)

  [ Olivier Tilloy ]
  * Raise and activate the window when an incoming call is accepted.
    (LP: #1020157)

  [ Renato Araujo Oliveira Filho ]
  * Fixed application loader from dbus method. (LP: #1029120 LP: #1029124)

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 30 Jul 2012 12:55:22 -0300

telephony-app (0.53) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * change "No Name" in live call view to "Unknown Contact" (LP: #1029681)

  [ Gustavo Pichorim Boiko ]
  * Make sure the approver gets started when the desktop loads. (LP: #1029890)
  * Do not display the desktop files used only by the indicators. (LP: #1029161)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 27 Jul 2012 13:44:18 -0300

telephony-app (0.52) precise; urgency=low

  * Added constant padding at the top and bottom of the contact details header. (LP: #1029548)
  * Implemented a new Scrollbar widget and added scrollbars to relevant parts of the UI. (LP: #1025780)

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 27 Jul 2012 16:14:51 +0100

telephony-app (0.51) precise; urgency=low

  * Make sure the logger models are properly updated when phone numbers are added.
    (LP: #1029486 LP: #1029503)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 17:13:00 -0300

telephony-app (0.50) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed contact model loader. (LP: #1029063)
  * Does not show folks invisible fields in UI. (LP: #1028210)

  [ Gustavo Pichorim Boiko ]
  * Add an entry to the messaging menu to indicate there is a pending voicemail
    message. (LP: #1025700)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 13:45:23 -0300

telephony-app (0.49) precise; urgency=low

  * Add the new application icons. (LP: #1028480)
  * Make sure the dialpad input gets focused when entering the view. (LP: #1028900)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 25 Jul 2012 14:41:47 -0300

telephony-app (0.48) precise; urgency=low


