=== debian/control ===
Source: telephony-app
Section: x11
Priority: optional
Maintainer: The Newyork team <newyork@lists.canonical.com>
XSBC-Original-Maintainer: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
               cmake,
               libqt4-dev,
               libtelepathy-qt4-dev,
               qtmobility-dev,
               libtelepathy-logger-qt4-dev,
               libqtgstreamer-dev,
               pkg-config,
               libnotify-dev,
               libindicate-qt-dev,
               libicu-dev
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~newyork-team/newyork/telephony-app

Package: telephony-app
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdeclarative-contacts,
         libqtfolks1,
         telepathy-mission-control-5,
         libqt4-declarative-shaders,
         libnotify4,
         notify-osd,
         libicu48
Description: An application to execute telephony tasks such as calling and messaging
 An application to execute telephony tasks such as calling and messaging
